% This programme written to draw contour and surface for the data stored in
% the excel file "GWSimulation.xlsx"
% This programme is just demo only. Student can change the programme as per their requirement
% The interpolation is done to create more points for getting smooth
% contour and smooth surfe.
clear all;
Z = xlsread('GWSimulation.xlsx', 1, 'A3:J12'); % read the data from the excel file, sheet 1 and range A3:J12
[m,n]=size(Z);

Z = (Z(:,1:n-1)+Z(:,2:n))*0.5;
Z = (Z(1:m-1,:)+Z(2:m,:))*0.5;
[X,Y] = meshgrid(0:100:(m-2)*100,0:100:(n-2)*100);
[XI,YI] = meshgrid(0:5:(m-2)*100,0:5:(n-2)*100);
ZI = interp2(X,Y,Z,XI,YI, 'spline'); %% Interpolation 

figure(1);
[C,h]= contour(XI,YI,ZI); % Plot contour
clabel(C,h);
xlabel('X - Coordinate');
ylabel('Y - Coordinate');
axis square;
grid on;

figure(2);
surf(XI,YI,ZI); % Plot surface
shading interp;
axis square;
xlabel('X - Coordinate');
ylabel('Y - Coordinate');
zlabel('h');
